Generation Framework

## org.eclipse.gmf.mappings.impl
Class AuditRuleImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.mappings.impl.AuditRuleImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, AuditRule, RuleBase

    public class AuditRuleImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements AuditRule

An implementation of the model object 'Audit Rule'.

The following features are implemented:

- `Name`
- `Description`
- `Id`
- `Rule`
- `Target`
- `Severity`
- `Use In Live Mode`
- `Message`
- `Container`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected java.lang.String` `description` The cached value of the '`Description`' attribute
`protected static java.lang.String` `DESCRIPTION_EDEFAULT` The default value of the '`Description`' attribute
`protected java.lang.String` `id` The cached value of the '`Id`' attribute
`protected static java.lang.String` `ID_EDEFAULT` The default value of the '`Id`' attribute
`protected java.lang.String` `message` The cached value of the '`Message`' attribute
`protected static java.lang.String` `MESSAGE_EDEFAULT` The default value of the '`Message`' attribute
`protected java.lang.String` `name` The cached value of the '`Name`' attribute
`protected static java.lang.String` `NAME_EDEFAULT` The default value of the '`Name`' attribute
`protected Constraint` `rule` The cached value of the '`Rule`' containment reference
`protected Severity` `severity` The cached value of the '`Severity`' attribute
`protected static Severity` `SEVERITY_EDEFAULT` The default value of the '`Severity`' attribute
`protected Auditable` `target` The cached value of the '`Target`' containment reference
`protected static boolean` `USE_IN_LIVE_MODE_EDEFAULT` The default value of the '`Use In Live Mode`' attribute
`protected boolean` `useInLiveMode` The cached value of the '`Use In Live Mode`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `AuditRuleImpl()`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` `basicSetContainer(AuditContainer newContainer, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetRule(Constraint newRule, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetTarget(Auditable newTarget, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`AuditContainer` `getContainer()`
`java.lang.String` `getDescription()`
`java.lang.String` `getId()`
`java.lang.String` `getMessage()`
`java.lang.String` `getName()`
`Constraint` `getRule()`
`Severity` `getSeverity()`
`Auditable` `getTarget()`
`boolean` `isUseInLiveMode()`
`void` `setContainer(AuditContainer newContainer)`
`void` `setDescription(java.lang.String newDescription)`
`void` `setId(java.lang.String newId)`
`void` `setMessage(java.lang.String newMessage)`
`void` `setName(java.lang.String newName)`
`void` `setRule(Constraint newRule)`
`void` `setSeverity(Severity newSeverity)`
`void` `setTarget(Auditable newTarget)`
`void` `setUseInLiveMode(boolean newUseInLiveMode)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### NAME_EDEFAULT

    protected static final java.lang.String NAME_EDEFAULT

  The default value of the '`Name`' attribute.

  See Also:
    `getName()`
  ** Generated **
  Ordered:

### name

    protected java.lang.String name

  The cached value of the '`Name`' attribute.

  See Also:
    `getName()`
  ** Generated **
  Ordered:

### DESCRIPTION_EDEFAULT

    protected static final java.lang.String DESCRIPTION_EDEFAULT

  The default value of the '`Description`' attribute.

  See Also:
    `getDescription()`
  ** Generated **
  Ordered:

### description

    protected java.lang.String description

  The cached value of the '`Description`' attribute.

  See Also:
    `getDescription()`
  ** Generated **
  Ordered:

### ID_EDEFAULT

    protected static final java.lang.String ID_EDEFAULT

  The default value of the '`Id`' attribute.

  See Also:
    `getId()`
  ** Generated **
  Ordered:

### id

    protected java.lang.String id

  The cached value of the '`Id`' attribute.

  See Also:
    `getId()`
  ** Generated **
  Ordered:

### rule

    protected Constraint rule

  The cached value of the '`Rule`' containment reference.

  See Also:
    `getRule()`
  ** Generated **
  Ordered:

### target

    protected Auditable target

  The cached value of the '`Target`' containment reference.

  See Also:
    `getTarget()`
  ** Generated **
  Ordered:

### SEVERITY_EDEFAULT

    protected static final Severity SEVERITY_EDEFAULT

  The default value of the '`Severity`' attribute.

  See Also:
    `getSeverity()`
  ** Generated **
  Ordered:

### severity

    protected Severity severity

  The cached value of the '`Severity`' attribute.

  See Also:
    `getSeverity()`
  ** Generated **
  Ordered:

### USE_IN_LIVE_MODE_EDEFAULT

    protected static final boolean USE_IN_LIVE_MODE_EDEFAULT

  The default value of the '`Use In Live Mode`' attribute.

  See Also:
    `isUseInLiveMode()`, Constant Field Values
  ** Generated **
  Ordered:

### useInLiveMode

    protected boolean useInLiveMode

  The cached value of the '`Use In Live Mode`' attribute.

  See Also:
    `isUseInLiveMode()`
  ** Generated **
  Ordered:

### MESSAGE_EDEFAULT

    protected static final java.lang.String MESSAGE_EDEFAULT

  The default value of the '`Message`' attribute.

  See Also:
    `getMessage()`
  ** Generated **
  Ordered:

### message

    protected java.lang.String message

  The cached value of the '`Message`' attribute.

  See Also:
    `getMessage()`
  ** Generated **
  Ordered:

Constructor Detail

### AuditRuleImpl

    protected AuditRuleImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`
  ** Generated **

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `AuditRule`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `AuditRule.setId(String)`, `GMFMapPackage.getAuditRule_Id()`
  ** Generated **

### setId

    public void setId(java.lang.String newId)

  Specified by:
    `setId` in interface `AuditRule`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `AuditRule.getId()`
  ** Generated **

### getRule

    public Constraint getRule()

  Specified by:
    `getRule` in interface `AuditRule`
  Returns:
    the value of the 'Rule' containment reference.
  See Also:
    `AuditRule.setRule(Constraint)`, `GMFMapPackage.getAuditRule_Rule()`
  ** Generated **

### basicSetRule

    public org.eclipse.emf.common.notify.NotificationChain basicSetRule(Constraint newRule,
                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setRule

    public void setRule(Constraint newRule)

  Specified by:
    `setRule` in interface `AuditRule`
  Parameters:
    `newRule` - the new value of the 'Rule' containment reference.
  See Also:
    `AuditRule.getRule()`
  ** Generated **

### getTarget

    public Auditable getTarget()

  Specified by:
    `getTarget` in interface `AuditRule`
  Returns:
    the value of the 'Target' containment reference.
  See Also:
    `AuditRule.setTarget(Auditable)`, `GMFMapPackage.getAuditRule_Target()`
  ** Generated **

### basicSetTarget

    public org.eclipse.emf.common.notify.NotificationChain basicSetTarget(Auditable newTarget,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setTarget

    public void setTarget(Auditable newTarget)

  Specified by:
    `setTarget` in interface `AuditRule`
  Parameters:
    `newTarget` - the new value of the 'Target' containment reference.
  See Also:
    `AuditRule.getTarget()`
  ** Generated **

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `RuleBase`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `RuleBase.setName(String)`, `GMFMapPackage.getRuleBase_Name()`
  ** Generated **

### setName

    public void setName(java.lang.String newName)

  Specified by:
    `setName` in interface `RuleBase`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `RuleBase.getName()`
  ** Generated **

### getSeverity

    public Severity getSeverity()

  Specified by:
    `getSeverity` in interface `AuditRule`
  Returns:
    the value of the 'Severity' attribute.
  See Also:
    `Severity`, `AuditRule.setSeverity(Severity)`, `GMFMapPackage.getAuditRule_Severity()`
  ** Generated **

### setSeverity

    public void setSeverity(Severity newSeverity)

  Specified by:
    `setSeverity` in interface `AuditRule`
  Parameters:
    `newSeverity` - the new value of the 'Severity' attribute.
  See Also:
    `Severity`, `AuditRule.getSeverity()`
  ** Generated **

### isUseInLiveMode

    public boolean isUseInLiveMode()

  Specified by:
    `isUseInLiveMode` in interface `AuditRule`
  Returns:
    the value of the 'Use In Live Mode' attribute.
  See Also:
    `AuditRule.setUseInLiveMode(boolean)`, `GMFMapPackage.getAuditRule_UseInLiveMode()`
  ** Generated **

### setUseInLiveMode

    public void setUseInLiveMode(boolean newUseInLiveMode)

  Specified by:
    `setUseInLiveMode` in interface `AuditRule`
  Parameters:
    `newUseInLiveMode` - the new value of the 'Use In Live Mode' attribute.
  See Also:
    `AuditRule.isUseInLiveMode()`
  ** Generated **

### getMessage

    public java.lang.String getMessage()

  Specified by:
    `getMessage` in interface `AuditRule`
  Returns:
    the value of the 'Message' attribute.
  See Also:
    `AuditRule.setMessage(String)`, `GMFMapPackage.getAuditRule_Message()`
  ** Generated **

### setMessage

    public void setMessage(java.lang.String newMessage)

  Specified by:
    `setMessage` in interface `AuditRule`
  Parameters:
    `newMessage` - the new value of the 'Message' attribute.
  See Also:
    `AuditRule.getMessage()`
  ** Generated **

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `RuleBase`
  Returns:
    the value of the 'Description' attribute.
  See Also:
    `RuleBase.setDescription(String)`, `GMFMapPackage.getRuleBase_Description()`
  ** Generated **

### setDescription

    public void setDescription(java.lang.String newDescription)

  Specified by:
    `setDescription` in interface `RuleBase`
  Parameters:
    `newDescription` - the new value of the 'Description' attribute.
  See Also:
    `RuleBase.getDescription()`
  ** Generated **

### getContainer

    public AuditContainer getContainer()

  Specified by:
    `getContainer` in interface `AuditRule`
  Returns:
    the value of the 'Container' container reference.
  See Also:
    `AuditRule.setContainer(AuditContainer)`, `GMFMapPackage.getAuditRule_Container()`, `AuditContainer.getAudits()`
  ** Generated **

### basicSetContainer

    public org.eclipse.emf.common.notify.NotificationChain basicSetContainer(AuditContainer newContainer,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setContainer

    public void setContainer(AuditContainer newContainer)

  Specified by:
    `setContainer` in interface `AuditRule`
  Parameters:
    `newContainer` - the new value of the 'Container' container reference.
  See Also:
    `AuditRule.getContainer()`
  ** Generated **

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.